Package weka.core

# Class CheckScheme.PostProcessor

java.lang.Object
weka.core.CheckScheme.PostProcessor

All Implemented Interfaces:
  `RevisionHandler`

Enclosing class:
  `CheckScheme`

public static class CheckScheme.PostProcessor extends Object implements RevisionHandler
a class for postprocessing the test-data

## Constructor Summary

Constructors
Constructor
Description
`PostProcessor()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getRevision()`
Returns the revision string.
`Instances`
`process(Instances data)`
Provides a hook for derived classes to further modify the data.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PostProcessor

public PostProcessor()

## Method Details

### process

public Instances process(Instances data)
Provides a hook for derived classes to further modify the data. Currently, the data is just passed through.

Parameters:
  `data` - the data to process
Returns:
  the processed data

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision